//*************************************** 
//***************************************
//   
//  AVRLIB-DEMO
//  For avrlib and avrmini development board.
//  
//
//  File:     lcdtest.c
//  Author:   Michael Gurevich
//  Date:     Sept. 23, 2002
//  Modified: Sept: 23, 2002
//  
//
//  Using the avrmini development board, connect
//  an LCD display to the LCD header.
//  
//
//***************************************
// This program demonstrates writing to
// an LCD with rprintf.
// 
//***************************************
 
#include <io.h>
#include <interrupt.h>
#include <sig-avr.h>
#include "timer.h"
#include "global.h"
#include "rprintf.h"
#include "lcd.h"



int main(void)
{
  u08 i,j; // counters
  static char PROGMEM str1[] = "This test fits on line 1";  // test string
  static char PROGMEM str2[] = "And this one on line # 2";  // test string
  static char PROGMEM str3[] = "Testing";  // test string
 
  timerInit();    //initialize timer

  lcdInit();      //initialize lcd
  lcdClear();     //clear the lcd
  lcdHome();      //set write position to line 1, char 1
  
  rprintfInit(&lcdDataWrite);  // tell rprintf to write to the lcd

  rprintfProgStr(str1);        // print the first line

  timerPause(1000);            // wait 3 seconds
 
  lcdGotoXY(0,1);              // go to 2nd row, first character
  rprintfProgStr(str2);        // print the second line

  while (1)  {                 // loop forever 
    timerPause(1000);                   
    lcdClear();

    lcdGotoXY(6,0);
    rprintfProgStr(str3);
   
    for (j=0;j<2;j++) {
      
      for (i=0;i<24;i++) {
	timerPause(1000);   
	lcdClear();
	lcdGotoXY(i,j);        // goto line j, column i
	rprintfNum(10, 1,  FALSE, ' ', j);
      }
    }
  }  
  return 0;
}
