//*************************************** 
//***************************************
//   
//  AVRLIB-DEMO
//  For avrlib and avrmini development board.
//  
//
//  File:     miditest.c
//  Author:   Michael Gurevich
//  Date:     Sept. 23, 2002
//  Modified: Sept: 23, 2002
//  
//
//
//***************************************
// This program sends midi messages out
// from the uart send pin (PD0 on the
// mega163).
//***************************************


#include <io.h>
#include <progmem.h>

#include "global.h"
#include "uart.h"
#include "midi.h"
#include "timer.h"

int main(void)
{
     u08 i;    // counter
     
     //initializations
     uartInit();     
     midiInit();
     timerInit();
     
     i=36;

     while(1) {
       
       midiNoteOnOut(i, 100, 1);
       timerPause(250);
       midiNoteOffOut(i, 0, 1);
       timerPause(250);
       if (++i > 96)
	 i=36;
     }

     return 0;
}
