//*************************************** 
//***************************************
//   
//  AVRLIB-DEMO
//  For avrlib and avrmini development board.
//  
//
//  File:     osctest.c
//  Author:   Michael Gurevich
//  Date:     Sept. 23, 2002
//  Modified: Sept: 23, 2002
//  
//
//
//***************************************
// This program sends osc messages out
// of the serial port. Use osctest.pd 
// in pd to receive the messages.
//***************************************

#include <io.h>
#include <progmem.h>

#include "global.h"
#include "uart.h"
#include "osc.h"
#include "timer.h"


int main(void)
{
     u08 i;
     uartInit();
     oscInit();
     timerInit();
     
     i = 0;
     while(1) {
       oscSendMessage(PSTR("/osctesting/test1/test2"));
       timerPause(100);
       oscSendMessageOneArg(PSTR("/onearg"), i);
       timerPause(100);
       oscSendMessageIntInt(PSTR("/twoarg"), i, i+1);
       timerPause(100);
       
       if (++i > 127)
	 i=0;

     }

     return 0;
}





